Installing V2.6.1 and updating DDUtil and SDR-Bridge...

  • 2
  • Praise
  • Updated 1 month ago
I had been hesitating updating to V2.5 and now V2.6.1 because I would also have to update two applications I routinely use with my 6500, DDUtil and SDR-Bridge.  Evidently, some of the Flex updates changed how app's talk to the radio so I get it...

With the Twins loosing the first playoff game against the Bronx Bombers and thinking I couldn't feel any worse, I decided to do the updates all at once and see what happened...

Well nothing happened, at least nothing bad happened.  All the updates, Flex V2.6.1, DDUtil V4 and SSDR-Bridge V3.0.5 went as designed - I was very pleased so say the least.

Having been a hardware/software developer in my sotted past I have an appreciation for robust software where Windows PC's are concerned.  So, in that spirit I extend my sincerest thanks to the Flex engineers, Steve at DDUtil and Bob at QRV Systems for their diligent efforts.
Photo of k0eoo

k0eoo

  • 637 Posts
  • 89 Reply Likes

Posted 1 month ago

  • 2
Photo of Santiago Mejia - HI8SMX

Santiago Mejia - HI8SMX

  • 87 Posts
  • 5 Reply Likes
Good night, just wanted to drop by and say Go Yankees! 

PS: Congratulations on your updates sucess.

73, Santiago
HI8SMX
Photo of k0eoo

k0eoo

  • 637 Posts
  • 89 Reply Likes
Thanks Santiago, and you're getting your wish, the Yankees are mopping the floor with the Twins!

Ciao, Dennis, k0eoo
Photo of Santiago Mejia - HI8SMX

Santiago Mejia - HI8SMX

  • 87 Posts
  • 5 Reply Likes
Don't want to see your Twins loose, but I want my Yankees to win!. 
Santiago, 
HI8SMX
Photo of Charlie Rubenstein KB8CR

Charlie Rubenstein KB8CR

  • 95 Posts
  • 15 Reply Likes
I'm still using DDutil v3 and it seems to keep on working with SSDR v 2.6.1.
Photo of Greg - N8GD

Greg - N8GD

  • 239 Posts
  • 88 Reply Likes
The developer of DDutil, Steve Nance, K5FR, states that v4 is only for SSDR 3.0.20 and later.  SSDR v2 must run with DDutil v3, not v4.  I use v3 with SSDR 2.6.1 and it performs well just as it always did!
Photo of Santiago Mejia - HI8SMX

Santiago Mejia - HI8SMX

  • 82 Posts
  • 5 Reply Likes
That is correct. I was checking v4 website and it is expressly stated that needs SSDR v.3.x.xxx
Photo of k0eoo

k0eoo

  • 637 Posts
  • 89 Reply Likes

That's not what I read, see below...  This is from the users group.

"All users that have upgraded to the new Flex SSDR versions 2.5.1 & 3.0.27 need to upgrade DDUtil to version 4.0.1.9 to be compatible with the new Flex releases.

Flex SSDR v3 users: DDUtil is compatible for a single client only (SSDR-Windows). It does not support multi-clients yet. I’m working on a multi-client version but, it isn’t ready yet."

73, Steve K5FR


Photo of k0eoo

k0eoo

  • 637 Posts
  • 89 Reply Likes
And V4 has been working as advertised controlling my Alpha87A, SPE 1.3kfa, LP100A, SteppIR, M2 rotor and band switching my remote antennas and so on...
Photo of Harold Rosee

Harold Rosee

  • 158 Posts
  • 35 Reply Likes
I am on the latest V3 of the SmartSDR software and V4 of DDUTIL has been giving me problems when coming in remotely from the IOS app on my iPhone.  DDUTIL disconnects and quits so I loose control of my amp, tuner, and antenna switch.

Last night I gave up on it and set up the "USB Cables" available in the SmartSDR software and the 6xxx hardware.  It works great!  IMO, a whole lot less hassle than DDUTIL.  My problems are most likely cause by the V3 multi client.  I know Steve is working on a new version for that and I may give it a shot when it comes out.

I guess my point is to convey how well the "USB Cables" part of the Flex hardware and software works.
Photo of k0eoo

k0eoo

  • 637 Posts
  • 89 Reply Likes
Hi Harold,
I plan to switch to the USB port for selecting antennas, one of these days.  I have the SainSmart 8 relay board working with the 6500 USB port but DDUtil has been working so good controlling my remote switch via my HB decoder I haven't switched over yet...